## kde-workspace 4.11.12

=== debian/changelog ===
kde-workspace (4:4.11.12-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Remove patches now upstream:
   - upstream_fix-upstart-version-detect.diff
   - kubuntu_upstart_pattern_fix.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:07:37 +0200

kde-workspace (4:4.11.11-0ubuntu6) utopic; urgency=medium

  * Re-fix patch kubuntu_dont-force-on-path.patch again, the quotes are needed
    in the version which uses alias qdbus.  It will still be broken if you
    install qdbus:i386  LP: #1304805

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Aug 2014 15:43:42 +0200

kde-workspace (4:4.11.11-0ubuntu5) utopic; urgency=medium

  * Fix patch kubuntu_dont-force-on-path.patch again, fix was lost somewhere
    LP: #1304805

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Aug 2014 15:00:30 +0200

kde-workspace (4:4.11.11-0ubuntu4) utopic; urgency=medium

  * Add kubuntu_upstart_pattern_fix.diff so we really use logind instead of
    upower again 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 16 Aug 2014 13:25:50 +0200

kde-workspace (4:4.11.11-0ubuntu3) utopic; urgency=medium

  * Remove build-dep on nepomuk 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 17:17:45 +0200

kde-workspace (4:4.11.11-0ubuntu2) utopic; urgency=medium

  * Cherry pick upstream 95529335232dcf04620c7f34ba92c9e8e6b190f5
    as upstream_fix-upstart-version-detect.diff so we use logind instead of upower

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Aug 2014 13:52:44 +0200

kde-workspace (4:4.11.11-0ubuntu1) utopic; urgency=medium

  [ Philip Muškovac ]
  * Drop some gcc internal destructors from libkephal4abi1.symbols that are
    gone in gcc 4.9

  [ Jonathan Riddell ]
  * New upstream release
  * Remove upstream patch upstream_use-weak-pointer.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2014 13:29:36 +0200

kde-workspace (4:4.11.10-0ubuntu5) utopic; urgency=medium

  * kde-window-manager-common breaks/replaces kde-workspace-data << 4:4.11.10 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 28 Jun 2014 13:49:03 +0200

kde-workspace (4:4.11.10-0ubuntu4) utopic; urgency=medium

  * Update symbols for armhf

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 18:11:35 +0200

kde-workspace (4:4.11.10-0ubuntu3) utopic; urgency=medium

  * Update symbols (again)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 15:22:01 +0200

kde-workspace (4:4.11.10-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 13:20:15 +0200

kde-workspace (4:4.11.10-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, remaining changes
    - debian/control
      + Don't build with CK support
      + Build with specific boost versions
      + Build depend on libwayland-dev
      + kde-workspace-bin suggests plasma-scriptengines instead of
        recommend
      + kde-workspace-bin depends on kde-base-artwork
      + Instal systemsettingsview headers in kde-workspace-dev
      + Keep org.kde.plasma.tasks in plasma-widgets-workspace
      + kde-workspace recommends lightdm-kde-greeter
      + kdebase-workspace-data depends on oxygen-cursor-theme instead of
        oxygencursors
      + kdebase-workspace-data suggests kde-wallpapers
      + ktouchpadenabler should Break/Replace kde-workspace-bin << 4.11.9
  * Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
  * Make sure stripes.png stays in kdm.install
  * Keep upstream_Dont-crash-when-no-desktopnames.patch
  * Build both kwin and kwin active
  * plasma-dataengines-workspace breaks/replaces plasma-widgets-workspace 
  * Use kdmrc_defaults_kubuntu.diff instead of kdmrc_defaults.diff
  * Add upstream_use-weak-pointer.patch

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1328049)
    - drop upstream_Dont-crash-when-no-desktopnames.patch, applied upstream
    - add subtle.desktop to kdm.install 
    - drop removed solid-hardware docs from kde-workspace-data.install

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 19 Jun 2014 20:44:33 +0200

kde-workspace (4:4.11.9-0ubuntu3) utopic; urgency=medium

  * Put back the init.d script for compatibility with insserv. (LP: #1323274)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 May 2014 08:35:35 +0200

kde-workspace (4:4.11.9-0ubuntu2) utopic; urgency=medium

  * Add upstream_Dont-crash-when-no-desktopnames.patch to not crash
    when no DesktopName is set

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 06 May 2014 16:26:22 +0200

kde-workspace (4:4.11.9-0ubuntu1) utopic; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1312806, #1313193) 

  [ Rohan Garg ]
  * Drop upstream_If-pam-kwallet-was-used-send-environment-to-it.patch,
    applied upstream
  * Drop upstream_Use-the-socket-path-sent-by-pam-kwallet-rather-than-.patch,
    applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 05 May 2014 12:39:55 +0200

kde-workspace (4:4.11.8-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch: krunner_iceweasel_bookmarks.patch applied upstream

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:21:07 +0200

kde-workspace (4:4.11.8-0ubuntu7) utopic; urgency=high

  * Rebuild using boost1.55.
  * Rebuild against libgps21.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 10:26:12 +0100

kde-workspace (4:4.11.7-1) unstable; urgency=medium

  * New upstream release.
  * New patch: effect_gles_link_against_gles
  * Remove upstream patch: upstream_explicitly_request_a_window-drawable
  * New patch: unlink_testsock

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 10:07:51 +0100

kde-workspace (4:4.11.6-3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Import kubuntu's patch: kubuntu_no_krandr.diff
  * Import kubuntu's patch: kubuntu_kcm_display_add_kscreen.diff
  * Split kde-workspace-krandr from kde-workspace-bin, in order to let
    kscreen to take over.

