=== debian/tests/control ===
Tests: testsuite
# @ without kdebase-workspace-dev
Depends: kde-workspace,
         kdebase-workspace,
         plasma-desktop,
         plasma-netbook,
         kde-workspace-bin,
         kdebase-workspace-bin,
         kde-workspace-data,
         kde-workspace-dev,
         plasma-dataengines-workspace,
         plasma-widgets-workspace,
         plasma-scriptengines,
         plasma-scriptengine-ruby,
         plasma-scriptengine-python,
         plasma-scriptengine-webkit,
         freespacenotifier,
         kdm,
         kinfocenter,
         klipper,
         ksysguardd,
         ksysguard,
         kde-window-manager,
         libkdecorations4abi2,
         libkwineffects1abi5,
         systemsettings,
         kde-workspace-kgreet-plugins,
         kde-style-oxygen,
         kmenuedit,
         libkephal4abi1,
         libkscreensaver5,
         libksgrd4,
         libksignalplotter4,
         libkworkspace4abi2,
         liblsofui4,
         libplasmaclock4abi4,
         libplasma-geolocation-interface4,
         libkwinglutils1abi2,
         libplasmagenericshell4,
         libprocesscore4abi1,
         libprocessui4a,
         libtaskmanager4abi4,
         libweather-ion6,
         kde-workspace-dbg,
         kdebase-workspace-dbg,
         ktouchpadenabler,
         @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: rw-build-tree

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
