=== debian/changelog ===
kde-workspace (4:4.11.13-2) unstable; urgency=medium

  * New patch: upstream_do_not_pass_ntpUtility_as_an_argument.patch fix
    for https://www.kde.org/info/security/advisory-20141106-1.txt
    (CVE-2014-8651 : https://security-tracker.debian.org/tracker/CVE-2014-8651)
  * New patch: upstream_validate_timezone_name_before_setting.patch,
    avoids .. in timezone name.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Nov 2014 10:11:28 +0100

kde-workspace (4:4.11.13-1) unstable; urgency=medium

  * New upstream release (4.11.13).
  * Update symbols files from buildds logs (4:4.11.12-2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:03 +0200

kde-workspace (4:4.11.12-2) unstable; urgency=medium

  * Team upload.
  * Add arm64 to libkwinglesutils1's archs list, thus allowing dpkg-shlibdeps
    to properly finish it's job.
  * Update symbols files with buildds' logs.
  * Remove myself from Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 03 Oct 2014 19:25:57 -0300

kde-workspace (4:4.11.12-1) unstable; urgency=medium

  * New upstream release (4.11.12).
  * New patch: check_if_SensorMgr
  * New patch: ksysguardd_acpi_valgrind_complain
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 21 Sep 2014 16:29:38 +0200

kde-workspace (4:4.11.11-2) unstable; urgency=medium

  * kdm: Remove xdm documentation from the README.Debian file. (Closes:
    #247196)
  * Add ppc64el to libkwinglesutils1. (Closes: 760942) Thanks to
    Aurelien Jarno

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Sep 2014 20:52:15 +0200

kde-workspace (4:4.11.11-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch the libpng12-dev build dependency to libpng-dev.

  [ Philip Muškovac ]
  * add subtle.desktop to kdm.install
  * drop removed solid-hardware docs from kde-workspace-data.install

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream patch: 0001-Trigger-the-Present-Windows-effect-when-
    control-clic.patch
  * Remove upstream patch: 0002-Fix-crash-after-dismissing-the-context-
    menu-of-a-jus.patch
  * Remove upstream patch: 0004-connect-to-the-right-signal.patch
  * Remove upstream patch: 0009-Do-not-popup-during-initialization.patch
  * Remove upstream patch: 0010-Fix-crash-when-DesktopNames-isn-t-
    set.patch
  * Remove upstream patch: 0012-Fix-wrong-icons.patch
  * Remove upstream patch: 0015-added-window-title-to-sizeGrip-for-
    easier-tracking-i.patch
  * Remove unused patch: 50_icon_in_oxygen_title_bar.diff
  * Refresh patches.
  * Drop KDM ConsoleKit support.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Aug 2014 09:36:36 +0200

kde-workspace (4:4.11.9-1) unstable; urgency=medium

  * New upstream release.
  * Update 4:4.11.8 symbols.
  * New upstream patch: 0001-Trigger-the-Present-Windows-effect-when-
    control-clic.patch
  * New upstream patch: 0002-Fix-crash-after-dismissing-the-context-
    menu-of-a-jus.patch
  * New upstream patch: 0004-connect-to-the-right-signal.patch
  * New upstream patch: 0009-Do-not-popup-during-initialization.patch
  * New upstream patch: 0010-Fix-crash-when-DesktopNames-isn-t-set.patch
  * New upstream patch: 0012-Fix-wrong-icons.patch
  * New upstream patch: 0015-added-window-title-to-sizeGrip-for-easier-
    tracking-i.patch
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 May 2014 12:32:00 +0200
