=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: kde-workspace
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.6),
                debhelper (>= 9),
@@ -16,7 +14,7 @@
                kdelibs5-dev (>= 4:4.11),
                kdepimlibs5-dev (>= 4:4.11),
                libakonadi-dev (>= 1.1.95),
-               libboost1.55-dev,
+               libboost-dev (>= 1.34),
                libdbus-1-dev,
                libdbusmenu-qt-dev (>= 0.6.0),
                libdevstat-dev [kfreebsd-any],
@@ -31,7 +29,7 @@
                libnm-util-dev (>= 0.9) [linux-any],
                libpam0g-dev,
                libpci-dev,
-               libpng12-dev (<< 1.5),
+               libpng-dev,
                libprison-dev,
                libqalculate-dev,
                libqimageblitz-dev (>= 1:0.0.4-2),
@@ -46,11 +44,9 @@
                libstrigiqtdbusclient-dev (>= 0.6.3),
                libudev-dev [linux-any],
                libusb-dev,
-               libwayland-dev,
                libx11-xcb-dev,
                libxcb-composite0-dev,
                libxcb-damage0-dev,
-               libxcb-icccm4-dev,
                libxcb-image0-dev,
                libxcb-keysyms1-dev,
                libxcb-randr0-dev,
@@ -61,7 +57,6 @@
                libxcb-sync-dev,
                libxcb-xfixes0-dev,
                libxcb-xtest0-dev,
-               libxcb1-dev,
                libxcomposite-dev,
                libxcursor-dev,
                libxdamage-dev,
@@ -74,8 +69,9 @@
                libxrender-dev,
                libxss-dev,
                libxtst-dev,
+               nepomuk-core-dev (>= 4:4.11),
                network-manager-dev (>= 0.9) [linux-any],
-               pkg-kde-tools (>= 0.15.12),
+               pkg-kde-tools (>= 0.15.13),
                python-dev (>= 2.6.6-3~),
                shared-desktop-ontologies (>= 0.8),
                udev [linux-any],
@@ -84,23 +80,21 @@
 X-Python-Version: >= 2.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-workspace.git
-X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-workspace.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-workspace.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-workspace.git
 
 Package: kde-workspace
 Architecture: all
 Depends: freespacenotifier (>= ${source:Version}),
-         kde-window-manager (>= ${source:Version}) | kde-window-manager-active (>= ${source:Version}),
+         kde-window-manager (>= ${source:Version}),
          kde-workspace-bin (>= ${source:Version}),
          klipper (>= ${source:Version}),
          ksysguard (>= ${source:Version}),
          systemsettings (>= ${source:Version}),
          ${misc:Depends}
-Recommends: kinfocenter (>= ${source:Version}),
-            kmenuedit (>= ${source:Version}),
-            lightdm-kde-greeter | kdm (>= ${source:Version})
+Recommends: kdm (>= ${source:Version}),
+            kinfocenter (>= ${source:Version}),
+            kmenuedit (>= ${source:Version})
 Breaks: kdebase-workspace (<< 4:4.7.2)
 Replaces: kdebase-workspace (<< 4:4.7.2)
 Description: KDE Plasma Workspace components
@@ -162,18 +156,19 @@
 Architecture: any
 Depends: iso-codes,
          kde-runtime (>= 4:4.10.2),
-         kde-base-artwork,
          kde-workspace-data (= ${source:Version}),
          kde-workspace-kgreet-plugins (= ${binary:Version}),
          kscreen,
-         plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
+         plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}),
          qdbus,
          x11-utils,
          x11-xserver-utils,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome, upower [linux-any]
-Suggests: plasma-scriptengines, x11-xkb-utils
+Recommends: plasma-scriptengines,
+            polkit-kde-1 (>= 0.99) | policykit-1-gnome,
+            upower [linux-any]
+Suggests: x11-xkb-utils
 Replaces: kcontrol,
           kdebase-data (<< 4:4.5),
           kdebase-runtime (<< 4:4.5),
@@ -211,7 +206,7 @@
 
 Package: kde-workspace-data
 Architecture: all
-Depends: kde-base-artwork, oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
+Depends: kde-base-artwork, oxygencursors, ${misc:Depends}, ${perl:Depends}
 Replaces: kde-icons-mono (<< 4:4.6.80),
           kdebase-runtime-data (<< 4:4.5),
           kdebase-workspace-data (<< 4:4.7.2),
@@ -226,7 +221,7 @@
         ksplash,
         ktip,
         libplasma1
-Suggests: kde-wallpapers
+Recommends: kde-wallpapers
 Description: shared data files for the KDE Plasma Workspace
  This package contains architecture-independent shared data files needed for a
  basic KDE Workspace installation.
@@ -263,10 +258,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ksysguardd (= ${binary:Version})
-Breaks: kde-workspace-bin (<< 4:4.10.80),
- plasma-widgets-workspace (<< 4:4.11.9-0ubuntu3~)
-Replaces: kde-workspace-bin (<< 4:4.10.80),
- plasma-widgets-workspace (<< 4:4.11.9-0ubuntu3~)
+Breaks: kde-workspace-bin (<< 4:4.9.3)
+Replaces: kde-workspace-bin (<< 4:4.9.3)
 Description: KDE Plasma data engines
  This package contains standard Plasma data engines shipped in KDE Plasma
  workspace. These engines are needed by the standard KDE base
@@ -277,9 +270,7 @@
 
 Package: plasma-widgets-workspace
 Architecture: any
-Depends: akonadi-server,
-         kdepim-runtime,
-         plasma-dataengines-workspace (= ${binary:Version}),
+Depends: plasma-dataengines-workspace (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: notification-daemon
@@ -304,3 +295,21 @@
 Recommends: plasma-scriptengine-superkaramba
 Suggests: plasma-scriptengine-kimono
 Description: metapackage to install all Plasma script engines
+ This metapackage depends on all Plasma script engines which kde-workspace
+ module provides and suggests script engines from other official KDE modules.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-ruby
+Architecture: all
+Depends: ruby-plasma, ${misc:Depends}
+Description: Ruby script engine for Plasma
+ This package provides the Ruby script engine for Plasma. You have to install it
+ if you want to use Plasma widgets and data engines written in Ruby.
+ .
+ This package is part of the KDE base workspace module.
+
+Package: plasma-scriptengine-python
+Architecture: all
+Depends: python-kde4 (>= 4:4.6.80),
+         python-qt4-dbus,
