=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,12 @@
 BINARYVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-override_dh_auto_clean:
-	$(overridden_command)
-	rm -rf debian/build-kwin-active debian/tmp-kwin-active
-
 override_dh_auto_configure:
 	$(overridden_command) -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm \
 		-DKDE4_BUILD_TESTS=false
-	$(overridden_command) -Bdebian/build-kwin-active -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm \
-	        -DKDE4_BUILD_TESTS=false -DKWIN_PLASMA_ACTIVE=true
-
-override_dh_auto_build:
-	$(overridden_command)
-	cd debian/build-kwin-active/kwin; $(overridden_command); cd ../../..
 
 override_dh_auto_install:
 	$(overridden_command)
-	cd debian/build-kwin-active/kwin; DESTDIR=$(CURDIR)/debian/tmp-kwin-active make install; cd ../../..
 	chmod a-x debian/tmp/usr/share/autostart/klipper.desktop
 
 .PHONY: override_dh_auto_test
@@ -61,4 +50,3 @@
 		install -p -D -m644 debian/kdm-np.pam debian/kdm/etc/pam.d/kdm-np && \
 		install -p -D -m644 debian/kdm.insserv debian/kdm/etc/insserv.conf.d/kdm; \
 	fi
-	install -m 644 -D debian/startkde.user-session.upstart debian/kde-workspace-bin/usr/share/upstart/sessions/startkde.conf
