=== debian/tests/control ===
--- 
+++ 
@@ -45,9 +45,6 @@
          kdebase-workspace-dbg,
          ktouchpadenabler,
          @builddeps@, build-essential,
-         xvfb, xauth, dbus-x11
+         xvfb, xauth, dbus-x11,
+         dh-acc
 Restrictions: rw-build-tree
-
-Tests: acc
-Depends: @,
-         dh-acc, exuberant-ctags
