=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kde-workspace-([\d.]+).tar.xz
